"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DefaultCalendarTheme = exports.LARGE_FONT = exports.NORMAL_FONT = exports.SMALL_FONT = exports.DEVICE_TOKEN = void 0;

var Colors = _interopRequireWildcard(require("./Colors"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const DEVICE_TOKEN = 'device_token';
exports.DEVICE_TOKEN = DEVICE_TOKEN;
const SMALL_FONT = 14;
exports.SMALL_FONT = SMALL_FONT;
const NORMAL_FONT = 18;
exports.NORMAL_FONT = NORMAL_FONT;
const LARGE_FONT = 22;
exports.LARGE_FONT = LARGE_FONT;
const DefaultCalendarTheme = {
  monthTextColor: Colors.Black,
  textSectionTitleColor: Colors.Black,
  textSectionTitleDisabledColor: 'lightgray',
  selectedDayBackgroundColor: Colors.PrimaryColor,
  selectedDayTextColor: Colors.White,
  dayTextColor: 'gray',
  todayTextColor: 'white',
  todayBackgroundColor: 'rgba(0, 0, 255, 0.2)',
  textDisabledColor: '#d9e1e8',
  textMonthFontSize: 20,
  textMonthFontWeight: 'bold',
  textDayHeaderFontWeight: 'bold',
  textDayHeaderFontSize: 14
};
exports.DefaultCalendarTheme = DefaultCalendarTheme;
//# sourceMappingURL=Constants.js.map