"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var Colors = _interopRequireWildcard(require("./utils/Colors"));

var Style = _interopRequireWildcard(require("./utils/Style"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Timer = _params => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'row',
      position: 'absolute',
      bottom: 5,
      marginBottom: 8.0,
      left: 15,
      right: 15,
      justifyContent: 'space-between'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      paddingHorizontal: 12,
      paddingVertical: 8,
      backgroundColor: Colors.grey,
      borderRadius: 5,
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: {
      paddingHorizontal: 20,
      paddingVertical: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: {
      width: 15,
      height: 15,
      alignSelf: 'center',
      tintColor: Colors.Grey
    },
    source: require('./images/up_arrow.png'),
    resizeMode: "contain"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [Style.styleSheet.boldText, {
      paddingHorizontal: 20,
      paddingVertical: 5
    }]
  }, "08h"), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: {
      paddingHorizontal: 20,
      paddingVertical: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: {
      width: 15,
      height: 15,
      alignSelf: 'center',
      tintColor: Colors.Grey
    },
    source: require('./images/down_arrow.png'),
    resizeMode: "contain"
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [Style.styleSheet.boldText, {
      alignSelf: 'center'
    }]
  }, ":"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      paddingHorizontal: 12,
      paddingVertical: 8,
      backgroundColor: Colors.grey,
      borderRadius: 5,
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: {
      paddingHorizontal: 20,
      paddingVertical: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: {
      width: 15,
      height: 15,
      alignSelf: 'center',
      tintColor: Colors.Grey
    },
    source: require('./images/up_arrow.png'),
    resizeMode: "contain"
  })), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [Style.styleSheet.boldText, {
      paddingHorizontal: 20,
      paddingVertical: 5
    }]
  }, "10m"), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: {
      paddingHorizontal: 20,
      paddingVertical: 5
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    style: {
      width: 15,
      height: 15,
      alignSelf: 'center',
      tintColor: Colors.Grey
    },
    source: require('./images/down_arrow.png'),
    resizeMode: "contain"
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flexDirection: 'column',
      paddingHorizontal: 6,
      paddingVertical: 8,
      backgroundColor: Colors.grey,
      borderRadius: 5,
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [Style.styleSheet.headerTextStyle, {
      paddingHorizontal: 10,
      paddingVertical: 5,
      alignSelf: 'center',
      flex: 1,
      color: Colors.LightBlue
    }]
  }, "AM"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      backgroundColor: Colors.Grey,
      width: 15,
      height: 1
    }
  })), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [Style.styleSheet.headerTextStyle, {
      paddingHorizontal: 10,
      paddingVertical: 5,
      alignSelf: 'center',
      flex: 1,
      color: Colors.Grey
    }]
  }, "PM")));
};

var _default = Timer;
exports.default = _default;
//# sourceMappingURL=Timer.js.map