"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styleSheet = void 0;

var _reactNative = require("react-native");

var Colors = _interopRequireWildcard(require("./Colors"));

var Constants = _interopRequireWildcard(require("./Constants"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const styleSheet = _reactNative.StyleSheet.create({
  headerTextStyle: {
    fontSize: Constants.LARGE_FONT,
    color: Colors.Black,
    fontWeight: 'bold'
  },
  subTextStyle: {
    color: Colors.Black,
    fontSize: Constants.NORMAL_FONT
  },
  smallText: {
    color: Colors.Black,
    fontSize: 12.0
  },
  boldText: {
    fontSize: 20.0,
    color: Colors.Black,
    fontWeight: 'bold'
  }
});

exports.styleSheet = styleSheet;
//# sourceMappingURL=Style.js.map