import type Time from 'src/data/Time';

export interface DateTimePickerProperties {
  startDate: string;
  endDate: string;
  startTime: Time;
  endTime: Time;
  setStartTime: Function;
  setEndTime: Function;
  currentDate: string;
  selectedDate: string;
  openBottomSheet: boolean;
  onDateSelect: Function;
  onStartEndChanged: Function;
  onDoneSelect: Function;
  calendarTheme: object;

  onStartDateSelect: Function;
  onEndDateSelect: Function;
  onStartTimeSelect: Function;
  onEndTimeSelect: Function;
}

/* {
    monthTextColor: Colors.Black,
        textSectionTitleColor: Colors.Black,
            textSectionTitleDisabledColor: 'lightgray',
                selectedDayBackgroundColor: Colors.PrimaryColor,
                    selectedDayTextColor: Colors.White,
                        dayTextColor: 'gray',
                            todayTextColor: 'white',
                                todayBackgroundColor: 'rgba(0, 0, 255, 0.2)',
                                    textDisabledColor: '#d9e1e8',
                                        textMonthFontSize: 20,
                                            textMonthFontWeight: 'bold',
                                                textDayHeaderFontWeight: 'bold',
                                                    textDayHeaderFontSize: 14,
} */
